import EuiBasePage from './eui-base.po.js'
import CdkOverlayContainer from '../../../components/cdk-overlay-container.js'
import CoEuiDialogContainer from '../../../components/14x/eui-dialog-container.js'
import CoEuiButton from '../../../components/14x/eui-button.js'

export default class EuiMessageBoxPage extends EuiBasePage {
  constructor() {
      super();
  }
  get cdkOverlayContainer() {
    return new CdkOverlayContainer(this.root);
  }
  get euiDialogContainerCo() {
    return new CoEuiDialogContainer(this.cdkOverlayContainer.overlayPane);
  }
  get euiButtonCo() {
    return new CoEuiButton(this.mainContent);
  }
  euiButtonCOFromSectionWithId(text) {
    return new CoEuiButton(this.sectionById(text))
  }
}


